summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsrc/password-store.sh3
-rw-r--r--src/platform/darwin.sh1
-rw-r--r--src/platform/freebsd.sh1
3 files changed, 4 insertions, 1 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index d0a8ab8..b2e2d0c 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -120,6 +120,7 @@ tmpdir() {
}
GETOPT="getopt"
+SHRED="shred -f -z"
# source /path/to/platform-defined-functions
#
@@ -288,7 +289,7 @@ case "$command" in
passfile="$PREFIX/$path.gpg"
template="$program.XXXXXXXXXXXXX"
- trap 'rm -rf "$tmp_dir" "$tmp_file"' INT TERM EXIT
+ trap '$SHRED "$tmp_file"; rm -rf "$tmp_dir" "$tmp_file"' INT TERM EXIT
tmpdir #Defines $tmp_dir
tmp_file="$(TMPDIR="$tmp_dir" mktemp -t "$template")"
diff --git a/src/platform/darwin.sh b/src/platform/darwin.sh
index 4e94941..fac47b1 100644
--- a/src/platform/darwin.sh
+++ b/src/platform/darwin.sh
@@ -32,3 +32,4 @@ tmpdir() {
}
GETOPT="$(brew --prefix gnu-getopt 2>/dev/null || echo /usr/local)/bin/getopt"
+SHRED="srm -f -z"
diff --git a/src/platform/freebsd.sh b/src/platform/freebsd.sh
index a8611e8..b3a4136 100644
--- a/src/platform/freebsd.sh
+++ b/src/platform/freebsd.sh
@@ -16,3 +16,4 @@ tmpdir() {
}
GETOPT="/usr/local/bin/getopt"
+SHRED="rm -P -f"
020-05-06Print version during startupRené 'Necoro' Neumann1-1/+1 2020-05-06Improve templateRené 'Necoro' Neumann3-20/+28 2020-05-05Fix pipelineRené 'Necoro' Neumann1-2/+5 2020-05-05Make changelog a part of the release pipeline (untested)René 'Necoro' Neumann2-0/+12 portato/gui/templates/popups.glade?h=no_config&id=7a12f4c4031c85e4301d09ea5aa86e55103bb5e1&follow=1'>Fixed 'kill' in the systray popupRené 'Necoro' Neumann1-2/+2 2008-06-09Fixed error messageRené 'Necoro' Neumann2-4/+1 2008-06-08Make blocks way more intelligentRené 'Necoro' Neumann3-45/+107